Subject: Re: [PATCH] Make snd-aoa cope with lack of line-output-detect property

From: Johannes Berg <[email-masked]>
Date: Mon, 10 Jul 2006 15:11:22 +0200

On Mon, 2006-07-10 at 22:39 +1000, Paul Mackerras wrote:
> The snd-aoa stuff falls over on my G4 powerbook (1.5GHz Albook) with a
> null pointer dereference in of_find_property.  It turns out that this
> was because it couldn't find a device node for the line-output detect
> GPIO.  This patch fixes it.

That's interesting. I thought I was running this code. Hmm :>

I should probably drop the get_irq function completely and do that in
line. And yes, that should be NO_IRQ I guess. I'll prepare a patch
later.

Thanks,
johannes